%define version 3.2.6
%define release 1
%define pkgname    check_diskio
%define _plugindir /usr/lib/nagios/plugins

Summary:   Nagios plugin to monitor the amount of disk I/O
Name:      nagios-plugins-diskio
Provides:  nagios-plugins-check_diskio
Version:   %{version}
Release:   2.3
License:   GPL
Group:     Applications/System
BuildRoot: %{_tmppath}/%{pkgname}-%{version}-root
Source:    http://www.id.ethz.ch/people/allid_list/corti/%{pkgname}-%{version}.tar.bz2
BuildArch: noarch
BuildRequires:	perl-Nagios-Plugin
%if 0%{?centos_version} >= 800
BuildRequires:  perl(Module::Install)
%endif

%description
Nagios plugin to monitor the amount of disk I/O

%prep
%setup -q -n %{pkgname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor \
    INSTALLSCRIPT=%{_plugindir} \
    INSTALLVENDORSCRIPT=%{_plugindir}
%__make

#__perl Makefile.PL INSTALLSCRIPT=%{_plugindir} \
#	INSTALLSITEMAN3DIR=%{_mandir}/man3 \
#	INSTALLSITESCRIPT=%{_plugindir}
#__make
chmod -x AUTHORS Changes NEWS README INSTALL TODO COPYING

%install
%__make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{_prefix}/lib/perl5
rm -rf %{buildroot}%{_prefix}/%{_lib}/perl5
rm -rf %{buildroot}%{_datadir}/perl5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS Changes NEWS README INSTALL TODO COPYING
%dir %{_prefix}/lib/nagios
%dir %{_prefix}/lib/nagios/plugins
%attr(0755, root, root) %{_plugindir}/%{pkgname}
%attr(0755, root, root) %{_mandir}/man1/%{pkgname}.1*

%changelog
* Mon Feb  3 2014 cs@linux-administrator.com
- Update to release 3.2.6
* Wed Feb 27 2013 cs@linux-administrator.com
- Update to release 3.2.5
* Fri Nov 11 2011 cs@linux-administrator.com
- Update to release 3.2.4
